> Subdivisions: ...
    def __init__(self, locales: _Locales, *subdivisions: Subdivision) -> None: ...
    @property
    def most_specific(self) -> Subdivision: ...

class Traits(Record):
    autonomous_system_number: int
    autonomous_system_organization: Text
    connection_type: Text
    domain: Text
    ip_address: Text
    is_anonymous: bool
    is_anonymous_proxy: bool
    is_anonymous_vpn: bool
    is_hosting_provider: bool
    is_legitimate_proxy: bool
    is_public_proxy: bool
    is_satellite_provider: bool
    is_tor_exit_node: bool
    isp: Text
    organization: Text
    user_type: Text
    def __init__(self, **kwargs: Any) -> None: ...
PK